Subject: RE: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 09:42:28 -0800 (GMT-08:00)

> I think that my confusion is a sufficient proof that more precise
> documentation is needed.

+1.  Maybe not "more precise" (I cannot judge whether what is
there is precise), but more user-friendly.  It is fine (great)
to use the precise Unicode terminology and to point to the
Unicode standard for more information.  But it also helpful
to provide a little coaching in the Emacs doc, for us users
who are not Unicode pros.  It probably would not take much
additional explanation.

> > If we want to enhance those doc strings, each one of them should state
> > what Unicode blocks are covered.  (It would be okay to say something
> > like "all Latin blocks", instead of enumerating them all, and
> > similarly for the other categories.)
> 
> A user might not know what exactly a "Unicode block" is.  (I don't.)
> I think a pointer to some sources or a few words of explanation are
> really needed.  (I won't make a patch, though, since I clearly know too
> little about it to do it correctly.)

+1

This kind of user feedback is helpful.  It should not be
ignored, IMO, especially if the reason for ignoring is just
that the doc is accurate and precise.  It's also about
being amenable (dare I say even "inviting") to an average
Emacs user.